Bug 1535435 - OSP10 -> OSP13 FFU upgrade: fast_forward_upgrade_playbook gets stuck while running Extra migration for nova tripleo/+bug/1656791 task
Summary: OSP10 -> OSP13 FFU upgrade: fast_forward_upgrade_playbook gets stuck while ru...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 13.0 (Queens)
Assignee: Lukas Bezdicka
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-17 11:49 UTC by Marius Cornea
Modified: 2018-06-27 13:43 UTC (History)
9 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.0-0.20180326192239.e59fd2c.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:42:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1743751 None None None 2018-01-17 11:50:08 UTC
OpenStack gerrit 523399 None MERGED ffu: Introduce Pacemaker fast-forward upgrade tasks 2020-02-23 20:29:54 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:43:05 UTC

Description Marius Cornea 2018-01-17 11:49:05 UTC
Description of problem:
OSP10 -> OSP13 FFU upgrade: fast_forward_upgrade_playbook gets stuck while running Extra migration for nova tripleo/+bug/1656791 task.

In step 1 we stop the pacemaker cluster:
https://review.openstack.org/#/c/523399/7/puppet/services/pacemaker.yaml

In step 5 we're trying to run nova-manage db online_data_migrations which fails because the cluster has been stopped in step1 and the db is not reachable:
https://review.openstack.org/#/c/522921/8/docker/services/nova-api.yaml

We need to make the db available when running db migrations.

Comment 7 errata-xmlrpc 2018-06-27 13:42:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.